<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AnalysisUIOptions">
    <option name="ANALYZE_TEST_SOURCES" value="false" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="3292ba34-cd07-44a1-a0ed-50719f93ef6a" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="ComposerSettings">
    <execution>
      <executable />
    </execution>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="1" />
  </component>
  <component name="ProjectId" id="1cy6cCZ7j1dVk8LBushIWSaDyw1" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="UI_DESIGNER_EDITOR_MODE.UIDesignerToolWindowManager.WIDTH" value="215" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/src/main/java" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/main/java/at/jku/sw/project/reminder/AQI" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="restartRequiresConfirmation" value="false" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="at.jku.sw.project.reminder.AQI" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\Kumar\1.JKU-2018-MS\SEMESTER 4-2020SS\4.Master Project\Source\Reminder\src\main\java\at\jku\sw\project\reminder\AQI" />
      <recent name="E:\Kumar\1.JKU-2018-MS\SEMESTER 4-2020SS\4.Master Project\Source\Reminder\src\main\java\at\jku\sw\project\reminder" />
    </key>
  </component>
  <component name="RunManager" selected="Application.ReminderEngine">
    <configuration name="JAVASwingFormExample" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="at.jku.sw.project.reminder.JAVASwingFormExample" />
      <module name="Reminder" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="at.jku.sw.project.reminder.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ReminderEngine" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="at.jku.sw.project.reminder.ReminderEngine" />
      <module name="Reminder" />
      <option name="ENABLE_SWING_INSPECTOR" value="true" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="at.jku.sw.project.reminder.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ReminderEngine" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="reminder.ReminderEngine" />
      <module name="Reminder" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="reminder.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ReminderTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="at.jku.sw.project.reminder.test.ReminderTest" />
      <module name="Reminder" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="at.jku.sw.project.reminder.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="at.jku.sw.project.reminder.AQI.Test" />
      <module name="Reminder" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="at.jku.sw.project.reminder.AQI.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.ReminderEngine" />
        <item itemvalue="Application.ReminderTest" />
        <item itemvalue="Application.JAVASwingFormExample" />
        <item itemvalue="Application.Test" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3292ba34-cd07-44a1-a0ed-50719f93ef6a" name="Default Changelist" comment="" />
      <created>1591488562245</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1591488562245</updated>
      <workItem from="1591488565455" duration="8481000" />
      <workItem from="1591545436740" duration="1643000" />
      <workItem from="1591780597248" duration="2939000" />
      <workItem from="1592434846005" duration="2622000" />
      <workItem from="1592480056242" duration="569000" />
      <workItem from="1592512025855" duration="30222000" />
      <workItem from="1592651188184" duration="565000" />
      <workItem from="1592780617290" duration="850000" />
      <workItem from="1592850998290" duration="390000" />
      <workItem from="1592904607590" duration="170000" />
      <workItem from="1592951929460" duration="21710000" />
      <workItem from="1593806137396" duration="3536000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="WindowStateProjectService">
    <state x="519" y="76" key="#com.intellij.ide.util.MemberChooser" timestamp="1593021514353">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="519" y="76" key="#com.intellij.ide.util.MemberChooser/62.0.1304.768@62.0.1304.768" timestamp="1593021514353" />
    <state x="443" y="173" key="#com.intellij.ide.util.TreeClassChooserDialog" timestamp="1592953886892">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="443" y="173" key="#com.intellij.ide.util.TreeClassChooserDialog/62.0.1304.768@62.0.1304.768" timestamp="1592953886892" />
    <state x="347" y="75" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog" timestamp="1592617061129">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="347" y="75" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog/62.0.1304.768@62.0.1304.768" timestamp="1592617061129" />
    <state x="62" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1592618996752">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="62" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/62.0.1304.768@62.0.1304.768" timestamp="1592618996752" />
    <state x="444" y="133" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog" timestamp="1592516754565">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="444" y="133" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog/62.0.1304.768@62.0.1304.768" timestamp="1592516754565" />
    <state x="474" y="144" key="#com.intellij.ws.actions.GenerateWsdlFromJavaDialog" timestamp="1591540588063">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="474" y="144" key="#com.intellij.ws.actions.GenerateWsdlFromJavaDialog/62.0.1304.768@62.0.1304.768" timestamp="1591540588062" />
    <state x="259" y="141" key="#org.jetbrains.debugger.memory.view.InstancesWindow" timestamp="1592520712060">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="259" y="141" key="#org.jetbrains.debugger.memory.view.InstancesWindow/62.0.1304.768@62.0.1304.768" timestamp="1592520712060" />
    <state x="476" y="255" key="ANALYSIS_DLG_com.intellij.analysis.BaseAnalysisAction$1" timestamp="1592616214724">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="476" y="255" key="ANALYSIS_DLG_com.intellij.analysis.BaseAnalysisAction$1/62.0.1304.768@62.0.1304.768" timestamp="1592616214724" />
    <state width="868" height="729" key="DebuggerActiveHint" timestamp="1593025197830">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state width="868" height="729" key="DebuggerActiveHint/62.0.1304.768@62.0.1304.768" timestamp="1593025197830" />
    <state width="1256" height="296" key="GridCell.Tab.0.bottom" timestamp="1593818438650">
      <screen x="67" y="0" width="1299" height="768" />
    </state>
    <state width="1261" height="123" key="GridCell.Tab.0.bottom/62.0.1304.768/1366.0.1280.689@62.0.1304.768" timestamp="1591871763691" />
    <state width="1261" height="215" key="GridCell.Tab.0.bottom/62.0.1304.768@62.0.1304.768" timestamp="1593072576504" />
    <state width="1256" height="296" key="GridCell.Tab.0.bottom/67.0.1299.768@67.0.1299.768" timestamp="1593818438650" />
    <state width="1256" height="296" key="GridCell.Tab.0.center" timestamp="1593818438649">
      <screen x="67" y="0" width="1299" height="768" />
    </state>
    <state width="1261" height="123" key="GridCell.Tab.0.center/62.0.1304.768/1366.0.1280.689@62.0.1304.768" timestamp="1591871763690" />
    <state width="1261" height="215" key="GridCell.Tab.0.center/62.0.1304.768@62.0.1304.768" timestamp="1593072576502" />
    <state width="1256" height="296" key="GridCell.Tab.0.center/67.0.1299.768@67.0.1299.768" timestamp="1593818438649" />
    <state width="1256" height="296" key="GridCell.Tab.0.left" timestamp="1593818438649">
      <screen x="67" y="0" width="1299" height="768" />
    </state>
    <state width="1261" height="123" key="GridCell.Tab.0.left/62.0.1304.768/1366.0.1280.689@62.0.1304.768" timestamp="1591871763690" />
    <state width="1261" height="215" key="GridCell.Tab.0.left/62.0.1304.768@62.0.1304.768" timestamp="1593072576500" />
    <state width="1256" height="296" key="GridCell.Tab.0.left/67.0.1299.768@67.0.1299.768" timestamp="1593818438649" />
    <state width="1256" height="296" key="GridCell.Tab.0.right" timestamp="1593818438649">
      <screen x="67" y="0" width="1299" height="768" />
    </state>
    <state width="1261" height="123" key="GridCell.Tab.0.right/62.0.1304.768/1366.0.1280.689@62.0.1304.768" timestamp="1591871763691" />
    <state width="1261" height="215" key="GridCell.Tab.0.right/62.0.1304.768@62.0.1304.768" timestamp="1593072576503" />
    <state width="1256" height="296" key="GridCell.Tab.0.right/67.0.1299.768@67.0.1299.768" timestamp="1593818438649" />
    <state width="1261" height="215" key="GridCell.Tab.1.bottom" timestamp="1593072576517">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state width="1261" height="215" key="GridCell.Tab.1.bottom/62.0.1304.768@62.0.1304.768" timestamp="1593072576517" />
    <state width="1261" height="215" key="GridCell.Tab.1.center" timestamp="1593072576510">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state width="1261" height="215" key="GridCell.Tab.1.center/62.0.1304.768@62.0.1304.768" timestamp="1593072576510" />
    <state width="1261" height="215" key="GridCell.Tab.1.left" timestamp="1593072576505">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state width="1261" height="215" key="GridCell.Tab.1.left/62.0.1304.768@62.0.1304.768" timestamp="1593072576505" />
    <state width="1261" height="215" key="GridCell.Tab.1.right" timestamp="1593072576511">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state width="1261" height="215" key="GridCell.Tab.1.right/62.0.1304.768@62.0.1304.768" timestamp="1593072576511" />
    <state x="244" y="41" key="Maven.ArtifactSearchDialog" timestamp="1592528384526">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="244" y="41" key="Maven.ArtifactSearchDialog/62.0.1304.768@62.0.1304.768" timestamp="1592528384526" />
    <state width="660" height="384" key="XDebugger.FullValuePopup" timestamp="1593012469496">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state width="660" height="384" key="XDebugger.FullValuePopup/62.0.1304.768@62.0.1304.768" timestamp="1593012469496" />
    <state x="530" y="164" key="chooseDestDirectoryDialog" timestamp="1592953635572">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="530" y="164" key="chooseDestDirectoryDialog/62.0.1304.768@62.0.1304.768" timestamp="1592953635572" />
    <state x="154" y="92" width="1120" height="584" key="com.intellij.history.integration.ui.views.FileHistoryDialog" timestamp="1593013844913">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="154" y="92" width="1120" height="584" key="com.intellij.history.integration.ui.views.FileHistoryDialog/62.0.1304.768@62.0.1304.768" timestamp="1593013844913" />
    <state x="444" y="156" key="extract.method.dialog" timestamp="1592517023300">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="444" y="156" key="extract.method.dialog/62.0.1304.768/1366.0.1280.689@62.0.1304.768" timestamp="1591782185367" />
    <state x="444" y="156" key="extract.method.dialog/62.0.1304.768@62.0.1304.768" timestamp="1592517023300" />
    <state x="370" y="37" width="670" height="676" key="search.everywhere.popup" timestamp="1592608583504">
      <screen x="62" y="0" width="1304" height="768" />
    </state>
    <state x="370" y="37" width="670" height="676" key="search.everywhere.popup/62.0.1304.768@62.0.1304.768" timestamp="1592608583504" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/test/java/at/jku/sw/project/reminder/test/ReminderTest.java</url>
          <line>67</line>
          <option name="timeStamp" value="20" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/at/jku/sw/project/reminder/Utils.java</url>
          <line>44</line>
          <option name="timeStamp" value="32" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/at/jku/sw/project/reminder/ReminderRules.java</url>
          <line>48</line>
          <option name="timeStamp" value="33" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/at/jku/sw/project/reminder/ReminderEngine.java</url>
          <line>173</line>
          <option name="timeStamp" value="34" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/at/jku/sw/project/reminder/ReminderEngine.java</url>
          <line>153</line>
          <option name="timeStamp" value="35" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/Reminder$reminder_test.ic" NAME="reminder_test Coverage Results" MODIFIED="1591489231991" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>at.jku.sw.project.reminder.test.*</FILTER>
    </SUITE>
  </component>
</project>